org.appng.taglib

## Class MultiSiteSupport

- java.lang.Object
- - org.appng.taglib.MultiSiteSupport

-     public class MultiSiteSupport
      extends Object

  Utility class to retrieve the calling and the executing `Site` and the right `ApplicationProvider` that is responsible for handling a taglet-call.
  Author:
    Matthias Müller, Matthias Herlitzius
  See Also:
    `SiteApplication.getGrantedSites()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiSiteSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationProvider` | `getApplicationProvider()`
    `SiteImpl` | `getCallingSite()`
    `SiteImpl` | `getExecutingSite()`
    `void` | `process(Environment env, String application, javax.servlet.http.HttpServletRequest servletRequest)`
    `void` | `process(Environment env, String application, String method, javax.servlet.http.HttpServletRequest servletRequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiSiteSupport

          public MultiSiteSupport()

  - ### Method Detail

    - #### process

          public void process(Environment env,
                              String application,
                              javax.servlet.http.HttpServletRequest servletRequest)
                       throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

    - #### process

          public void process(Environment env,
                              String application,
                              String method,
                              javax.servlet.http.HttpServletRequest servletRequest)
                       throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

    - #### getCallingSite

          public SiteImpl getCallingSite()

    - #### getExecutingSite

          public SiteImpl getExecutingSite()

    - #### getApplicationProvider

          public ApplicationProvider getApplicationProvider()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.